org.apache.hadoop.hdfs.server.namenode

## Enum NameNode.OperationCategory

- java.lang.Object
- - java.lang.Enum<NameNode.OperationCategory>
  - - org.apache.hadoop.hdfs.server.namenode.NameNode.OperationCategory

- All Implemented Interfaces:
    Serializable, Comparable<NameNode.OperationCategory>
  Enclosing class:
    org.apache.hadoop.hdfs.server.namenode.NameNode

      public static enum NameNode.OperationCategory
      extends Enum<NameNode.OperationCategory>

  Categories of operations supported by the namenode.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHECKPOINT` Operations related to checkpointing
    `JOURNAL` Operations related to `JournalProtocol`
    `READ` Read operation that does not change the namespace state
    `UNCHECKED` Operations that are state agnostic
    `WRITE` Write operation that changes the namespace state

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NameNode.OperationCategory` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NameNode.OperationCategory[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNCHECKED

          public static final NameNode.OperationCategory UNCHECKED

      Operations that are state agnostic

    - #### READ

          public static final NameNode.OperationCategory READ

      Read operation that does not change the namespace state

    - #### WRITE

          public static final NameNode.OperationCategory WRITE

      Write operation that changes the namespace state

    - #### CHECKPOINT

          public static final NameNode.OperationCategory CHECKPOINT

      Operations related to checkpointing

    - #### JOURNAL

          public static final NameNode.OperationCategory JOURNAL

      Operations related to `JournalProtocol`

  - ### Method Detail

    - #### values

          public static NameNode.OperationCategory[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NameNode.OperationCategory c : NameNode.OperationCategory.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NameNode.OperationCategory valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.